io.vertx.redis.op

## Enum ShutdownOptions

- java.lang.Object
- - java.lang.Enum<ShutdownOptions>
  - - io.vertx.redis.op.ShutdownOptions

- All Implemented Interfaces:
    Serializable, Comparable<ShutdownOptions>

      public enum ShutdownOptions
      extends Enum<ShutdownOptions>

  Author:
    Marko Strukelj

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NONE`
    `NOSAVE`
    `SAVE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonArray` | `toJsonArray()`
    `static ShutdownOptions` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ShutdownOptions[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ShutdownOptions NONE

    - #### SAVE

          public static final ShutdownOptions SAVE

    - #### NOSAVE

          public static final ShutdownOptions NOSAVE

  - ### Method Detail

    - #### values

          public static ShutdownOptions[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ShutdownOptions c : ShutdownOptions.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ShutdownOptions valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toJsonArray

          public JsonArray toJsonArray()

Copyright © 2017. All rights reserved.